from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XToolkitRobot(Protocol):
    def keyPress(self, aKeyEvent: KeyEvent) -> None: ...
    def keyRelease(self, aKeyEvent: KeyEvent) -> None: ...
    def mousePress(self, aMouseEvent: MouseEvent) -> None: ...
    def mouseRelease(self, aMouseEvent: MouseEvent) -> None: ...
    def mouseMove(self, aMouseEvent: MouseEvent) -> None: ...
